Subject: [mpls-tp] Comments on draft-ietf-mpls-tp-identifiers-01

From: Mach Chen <[email-masked]>
Date: Tue, 22 Jun 2010 11:47:17 +0800

Hi authors,

Here are some comments:

1. In the draft, the Source/Destination Node is defined as a 32-bits ID, but 
for a MPLS/GMPLS TE based LSP, the Tunnel Extended ID, Tunnel end point 
address and Tunnel sender address may be IPv6 addresses, it seems that the 
"mapping to GMPLS signaling" (Section 5.3) can not handle this.

2. In your draft, an LSP is identified by the combination of Src-Global_ID, 
Src-Node_ID, Src-Tunnel_Num, Dst-Global_ID, Dst-Node_ID, Dst-Tunnel_Num, 
LSP_Num, this is fine for unidirectional and co-routed bidirectional LSP, 
but it is not enough for associated bidirectional LSP that is combined with 
two reverse unidirectional LSPs and IMHO two LSP_Nums are required.

Best regards,
Mach